// ignore_for_file: non_constant_identifier_names

import "language_core.dart";
import "language_code_data.dart";

extension SettingsAccountExtensionLanguage on Language {
  /// default return
  /// ```dart
  /// "Akun";
  /// ```
  String settings_account_title({
    String? languageCode,
    List<Map<String, String>>? replacesDatas,
  }) {
    Map language_raw_data = {
      "id": "Akun",
      "en": "Account",
      "ko": "계정",
      "my": "ငေွစာရင်း",
      "th": "บัญชี"
    };

    return sendLanguage(
      languageCodeData: LanguageCodeData(
        language_raw_data,
      ),
      id: "settings_account_title",
      replacesDatas: replacesDatas,
      languageCode: languageCode,
    );
  }

  /// default return
  /// ```dart
  /// "Full Name";
  /// ```
  String settings_account_nick_name({
    String? languageCode,
    List<Map<String, String>>? replacesDatas,
  }) {
    Map language_raw_data = {
      "id": "Full Name",
      "ko": "전체 이름",
      "my": "နာမည်အပြည့်အစုံ",
      "th": "ชื่อเต็ม"
    };

    return sendLanguage(
      languageCodeData: LanguageCodeData(
        language_raw_data,
      ),
      id: "settings_account_nick_name",
      replacesDatas: replacesDatas,
      languageCode: languageCode,
    );
  }

  /// default return
  /// ```dart
  /// "Username";
  /// ```
  String settings_account_username({
    String? languageCode,
    List<Map<String, String>>? replacesDatas,
  }) {
    Map language_raw_data = {
      "id": "Username",
      "ko": "사용자 이름",
      "my": "အသုံးပြုသူ",
      "th": "ชื่อผู้ใช้"
    };

    return sendLanguage(
      languageCodeData: LanguageCodeData(
        language_raw_data,
      ),
      id: "settings_account_username",
      replacesDatas: replacesDatas,
      languageCode: languageCode,
    );
  }

  /// default return
  /// ```dart
  /// "Nomor Ponsel";
  /// ```
  String settings_account_phone_number({
    String? languageCode,
    List<Map<String, String>>? replacesDatas,
  }) {
    Map language_raw_data = {
      "id": "Nomor Ponsel",
      "en": "Phone number",
      "ko": "전화 번호",
      "my": "ဖုန်းနံပါတ်",
      "th": "หมายเลขโทรศัพท์"
    };

    return sendLanguage(
      languageCodeData: LanguageCodeData(
        language_raw_data,
      ),
      id: "settings_account_phone_number",
      replacesDatas: replacesDatas,
      languageCode: languageCode,
    );
  }

  /// default return
  /// ```dart
  /// "Bio";
  /// ```
  String settings_account_bio({
    String? languageCode,
    List<Map<String, String>>? replacesDatas,
  }) {
    Map language_raw_data = {
      "id": "Bio",
      "ko": "바이오",
      "my": "ဇီဝ",
      "th": "ชีวภาพ"
    };

    return sendLanguage(
      languageCodeData: LanguageCodeData(
        language_raw_data,
      ),
      id: "settings_account_bio",
      replacesDatas: replacesDatas,
      languageCode: languageCode,
    );
  }
}
