// ignore_for_file: non_constant_identifier_names

import "language_core.dart";
import "language_code_data.dart";

extension SettingsSettingExtensionLanguage on Language {
  /// default return
  /// ```dart
  /// "Pengaturan";
  /// ```
  String settings_setting_title({
    String? languageCode,
    List<Map<String, String>>? replacesDatas,
  }) {
    Map language_raw_data = {
      "id": "Pengaturan",
      "en": "Arrangement",
      "ko": "준비",
      "my": "အစီအစဉ်",
      "th": "การจัดเตรียม"
    };

    return sendLanguage(
      languageCodeData: LanguageCodeData(
        language_raw_data,
      ),
      id: "settings_setting_title",
      replacesDatas: replacesDatas,
      languageCode: languageCode,
    );
  }

  /// default return
  /// ```dart
  /// "Pengaturan Obrolan";
  /// ```
  String settings_setting_setting_chat({
    String? languageCode,
    List<Map<String, String>>? replacesDatas,
  }) {
    Map language_raw_data = {
      "id": "Pengaturan Obrolan",
      "en": "Chat Settings",
      "ko": "채팅 설정",
      "my": "ချက်တင်ချိန်ညှိချက်များ",
      "th": "การตั้งค่าแชท"
    };

    return sendLanguage(
      languageCodeData: LanguageCodeData(
        language_raw_data,
      ),
      id: "settings_setting_setting_chat",
      replacesDatas: replacesDatas,
      languageCode: languageCode,
    );
  }

  /// default return
  /// ```dart
  /// "Privasi dan Keamanan";
  /// ```
  String settings_setting_privacy_and_security({
    String? languageCode,
    List<Map<String, String>>? replacesDatas,
  }) {
    Map language_raw_data = {
      "id": "Privasi dan Keamanan",
      "en": "Privacy and security",
      "ko": "개인 정보 및 보안",
      "my": "privacy နှင့်လုံခြုံရေး",
      "th": "ความเป็นส่วนตัวและความปลอดภัย"
    };

    return sendLanguage(
      languageCodeData: LanguageCodeData(
        language_raw_data,
      ),
      id: "settings_setting_privacy_and_security",
      replacesDatas: replacesDatas,
      languageCode: languageCode,
    );
  }

  /// default return
  /// ```dart
  /// "Notifikasi dan Suara";
  /// ```
  String settings_setting_notification_and_sound({
    String? languageCode,
    List<Map<String, String>>? replacesDatas,
  }) {
    Map language_raw_data = {
      "id": "Notifikasi dan Suara",
      "en": "Notification and sound",
      "ko": "알림과 소리",
      "my": "အသိပေးချက်နှင့်အသံ",
      "th": "การแจ้งเตือนและเสียง"
    };

    return sendLanguage(
      languageCodeData: LanguageCodeData(
        language_raw_data,
      ),
      id: "settings_setting_notification_and_sound",
      replacesDatas: replacesDatas,
      languageCode: languageCode,
    );
  }

  /// default return
  /// ```dart
  /// "Data Dan Penyimpanan";
  /// ```
  String settings_setting_data_and_storage({
    String? languageCode,
    List<Map<String, String>>? replacesDatas,
  }) {
    Map language_raw_data = {
      "id": "Data Dan Penyimpanan",
      "en": "Data and storage",
      "ko": "데이터 및 스토리지",
      "my": "ဒေတာနှင့်သိုလှောင်မှု",
      "th": "ข้อมูลและที่เก็บข้อมูล"
    };

    return sendLanguage(
      languageCodeData: LanguageCodeData(
        language_raw_data,
      ),
      id: "settings_setting_data_and_storage",
      replacesDatas: replacesDatas,
      languageCode: languageCode,
    );
  }

  /// default return
  /// ```dart
  /// "Penghematan Daya";
  /// ```
  String settings_setting_save_energy({
    String? languageCode,
    List<Map<String, String>>? replacesDatas,
  }) {
    Map language_raw_data = {
      "id": "Penghematan Daya",
      "en": "Power savings",
      "ko": "전력 절약",
      "my": "ပါဝါငွေစု",
      "th": "ประหยัดพลังงาน"
    };

    return sendLanguage(
      languageCodeData: LanguageCodeData(
        language_raw_data,
      ),
      id: "settings_setting_save_energy",
      replacesDatas: replacesDatas,
      languageCode: languageCode,
    );
  }

  /// default return
  /// ```dart
  /// "Folder Obrolan";
  /// ```
  String settings_setting_folder_chat({
    String? languageCode,
    List<Map<String, String>>? replacesDatas,
  }) {
    Map language_raw_data = {
      "id": "Folder Obrolan",
      "en": "Chat folder",
      "ko": "채팅 폴더",
      "my": "chat ဖိုင်တွဲ",
      "th": "โฟลเดอร์แชท"
    };

    return sendLanguage(
      languageCodeData: LanguageCodeData(
        language_raw_data,
      ),
      id: "settings_setting_folder_chat",
      replacesDatas: replacesDatas,
      languageCode: languageCode,
    );
  }

  /// default return
  /// ```dart
  /// "Perangkat";
  /// ```
  String settings_setting_device({
    String? languageCode,
    List<Map<String, String>>? replacesDatas,
  }) {
    Map language_raw_data = {
      "id": "Perangkat",
      "en": "Device",
      "ko": "장치",
      "my": "စက်ကိရိယာ",
      "th": "อุปกรณ์"
    };

    return sendLanguage(
      languageCodeData: LanguageCodeData(
        language_raw_data,
      ),
      id: "settings_setting_device",
      replacesDatas: replacesDatas,
      languageCode: languageCode,
    );
  }

  /// default return
  /// ```dart
  /// "Bahasa";
  /// ```
  String settings_setting_language({
    String? languageCode,
    List<Map<String, String>>? replacesDatas,
  }) {
    Map language_raw_data = {
      "id": "Bahasa",
      "en": "Language",
      "ko": "언어",
      "my": "ဘာသာစကား",
      "th": "ภาษา"
    };

    return sendLanguage(
      languageCodeData: LanguageCodeData(
        language_raw_data,
      ),
      id: "settings_setting_language",
      replacesDatas: replacesDatas,
      languageCode: languageCode,
    );
  }
}
