// ignore_for_file: avoid_print, unused_local_variable

import 'package:app_telegram_template/widget/app_telegram_template.dart';
import 'package:flutter/material.dart';

import 'package:general_lib_flutter/general_lib_flutter.dart';

class SettingsChatPageAppTelegramTemplate
    extends AppTelegramTemplateStatefulWidget {
  const SettingsChatPageAppTelegramTemplate({
    super.key,
    required super.appTelegramTemplateData,
  });

  @override
  State<SettingsChatPageAppTelegramTemplate> createState() =>
      _SettingsChatPageAppTelegramTemplateState();
}

class _SettingsChatPageAppTelegramTemplateState
    extends State<SettingsChatPageAppTelegramTemplate> {
  final GlobalKey bottomBarKey = GlobalKey();

  final GlobalKey globalKey = GlobalKey();

  final scaffoldKey = GlobalKey<ScaffoldState>();

  PageController pageController = PageController();

  Size getRedBoxSize(BuildContext context) {
    final box = context.findRenderObject() as RenderBox;
    return box.size;
  }

  @override
  void initState() {
    // TODO: implement initState
    super.initState();

    WidgetsBinding.instance.addPostFrameCallback((_) {
      setState(() {
        // redboxSize = getRedBoxSize(globalKey.currentContext!);
      });
    });
  }

  @override
  Widget build(BuildContext context) {
    // print(widget.getRedBoxSize()!.height);
    return Scaffold(
      extendBodyBehindAppBar: true,
      extendBody: true,
      appBar: () {
        return PreferredSize(
          preferredSize: Size(
            context.width,
            450,
          ), // here the desired height
          child: Container(
            key: globalKey,
            decoration: BoxDecoration(
              color: context.theme.dialogBackgroundColor.withOpacity(0.85),
              boxShadow: [
                BoxShadow(
                  color: context.theme.shadowColor.withAlpha(110),
                  spreadRadius: 1,
                  blurRadius: 7,
                  offset: const Offset(0, 3), // changes position of shadow
                ),
              ],
            ),
            child: Column(
              mainAxisSize: MainAxisSize.min,
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                SizedBox(
                  height: context.mediaQueryData.padding.top,
                ),
                MaterialButton(
                  shape: RoundedRectangleBorder(
                    borderRadius: BorderRadius.circular(25.0),
                  ),
                  hoverColor: Colors.transparent,
                  splashColor: Colors.transparent,
                  highlightColor: Colors.transparent,
                  onPressed: () async {},
                  padding: const EdgeInsets.all(15),
                  child: Row(
                    mainAxisSize: MainAxisSize.max,
                    mainAxisAlignment: MainAxisAlignment.spaceBetween,
                    children: [
                      MaterialButton(
                        shape: RoundedRectangleBorder(
                          borderRadius: BorderRadius.circular(25.0),
                        ),
                        minWidth: 0,
                        onPressed: () async {
                          context.navigator().pop();
                        },
                        child: const Icon(Icons.arrow_back_ios_sharp),
                      ),
                      const Padding(
                        padding: EdgeInsets.all(10),
                        child: Text(
                          "Pengaturan Obrolan",
                          style: TextStyle(
                            fontSize: 16,
                            fontWeight: FontWeight.w600,
                          ),
                        ),
                      ),
                      Padding(
                        padding: const EdgeInsets.symmetric(
                            vertical: 10, horizontal: 5),
                        child: PopupMenuButton(
                          shape: const RoundedRectangleBorder(
                              borderRadius:
                                  BorderRadius.all(Radius.circular(15.0))),
                          clipBehavior: Clip.antiAlias,
                          itemBuilder: (context) {
                            return [
                              const PopupMenuItem(
                                child: Text("Add Account"),
                              ),
                              PopupMenuItem(
                                child: const Text("Logout"),
                                onTap: () async {
                                  // context.navigator().pushReplacement(
                                  //   MaterialPageRoute(
                                  //     builder: (context) {
                                  //       SignPage signPage = SignPage(appData: widget.appData);

                                  //       if (widget.appData.is_debug) {
                                  //         return AppDebug(
                                  //           themeMode: widget.appData.themeModeNotifier,
                                  //           child: signPage,
                                  //         );
                                  //       }
                                  //       return signPage;
                                  //     },
                                  //   ),
                                  // );
                                },
                              ),
                            ];
                          },
                          child: const RotatedBox(
                            quarterTurns: 1,
                            child: Icon(Icons.more_horiz_sharp),
                          ),
                        ),
                      ),
                    ],
                  ),
                ),
              ],
            ),
          ),
        );
      }(),
      body: body(),
    );
  }

  Widget body() {
    return SingleChildScrollView(
      physics: const AlwaysScrollableScrollPhysics(
        parent: BouncingScrollPhysics(),
      ),
      child: ConstrainedBox(
        constraints: BoxConstraints(
          minHeight: context.height,
          minWidth: context.width,
        ),
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: [
            SizedBox.fromSize(
              size: () {
                try {
                  return getRedBoxSize(globalKey.currentContext!);
                } catch (e) {
                  return null;
                }
              }(),
            ),
          ],
        ),
      ),
    );
  }

  Widget buttonSetting(
      {required IconData iconData,
      required String title,
      String? subtitle,
      void Function()? onPressed}) {
    return MaterialButton(
      onPressed: onPressed,
      child: ListTile(
        leading: Icon(iconData),
        title: Text(title),
        subtitle: (subtitle != null) ? Text(subtitle) : null,
      ),
    );
  }
}
